<?php

namespace Packages\Product\Models;

use Illuminate\Database\Eloquent\Model;

class AttributeProduct extends Model
{
    public $timestamps = false;
    protected $table = 'attribute_products';
    protected $fillable = ['attribute_id', 'product_id', 'val_attribute'];
    public function attribute()
    {
//        $attr = Attribute::query()->where('id', $this->attribute_id)->get()->pluck('title');
//        return $this->hasOne(Attribute::class, 'attribute_id', 'id');
        $attr = $this->hasOne(Attribute::class, 'id','attribute_id');
        return $attr;
    }
    public function product()
    {
        return $this->belongsToMany(Product::class);

    }

}

