@component('panel.layouts.component', ['title' => 'ثبت محصول ساده'])

    @slot('style')

    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول ساده </h1>
        <p>ثبت محصول ساده در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="py-5">
                <div class="row align-items-center ">
                    <div class="col-lg-12 col-md-12 mx-auto">

                        <div class="card">
                            <div class="card-header">
                                <strong>{{ __('ویرایش محصول ساده') }}</strong>&nbsp;<i class="required">{{$product->id}}</i>
                            </div>

                            <div class="card-body mx-lg-6 px-lg-4">
                                @component('product::components.message')
                                @endcomponent
                                <form method="POST" action="{{ route('saveProductStepThree') }}" enctype="multipart/form-data" >
                                    @csrf
                                    @include('product::product.include.firstProduct')
                                    @include('product::product.include.simpleProduct')
                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary" >
                                                {{ __('ثبت محصول') }}
                                            </button>
                                            <a href="{{ route('products.index') }}" type="button" class="btn btn-warning" > انصراف</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent

